Updates the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "bbff083d-cab9-4a20-9f5c-d0fe4d20fd8c",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "b4ce626e-cd5d-4dea-ac53-caa8ab6ea2eb",
"company_code": "sample string 5",
"company": {
"id": "199ad904-4f62-4c65-bd0e-da02380489db",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-24T20:55:50.2591198+00:00",
"sales_territory_id": "62ab9119-a0cb-478e-8aa5-e1b647bbcc2a",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "6e7fc985-ceea-436e-831f-f4a85812e63b",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "3a5b8d29-8eac-4f0d-8c3b-aaba467f0920",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "d5563ad8-882e-4e95-aabb-9d2e1fccc980",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c13595f4-63aa-4cb3-9ee6-f6f3d3fcf5e1",
"db_currency_id": "a2b5c1ec-a549-4930-9832-9146e4d207c6",
"db_language_id": "0ea5b578-7823-4515-b8a2-5343a9c10edd",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T20:55:50.2591198+00:00"
},
"modified_dateutc": "2026-10-24T20:55:50.2591198+00:00"
},
"marketing_segment_id": "584e8c79-e384-402b-b9e9-c1bbfb32e531",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "75d4008e-4dce-49ed-8564-39493b0c3d7c",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "8c991228-47fa-414a-a39a-2005685e895a",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "56193839-137b-4eeb-ad62-d861204be0b4",
"db_country_code": "sample string 28",
"feelist_id": "0a5abaa2-4ca8-472b-adb4-90e587babb4b",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "7c4e3406-e449-47a6-b2d4-b6ed8f5d5bfe",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "2a45efd2-6b39-4bcf-93bb-39bb3f3f7aaa",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-24T20:55:50.2591198+00:00",
"db_currency_id": "b856be9f-a01e-4f4c-bd00-855196feffa0",
"db_currency_code": "sample string 10"
},
"company_type_id": "3f65ac46-f20a-4b39-9971-36c63623bfc1",
"company_type_name": "sample string 32",
"company_type": {
"id": "d1fc5715-296d-49ff-9bc0-2ce5a3fd00dc",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "e3a5fd01-0cfc-4256-8bb8-e0c655b37529",
"sales_organization_code": "sample string 5"
},
"db_language_id": "d90b107e-b838-4b26-bf6a-41c98ab3bd92",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "2409344e-3813-4c24-8daa-9771a435fe34",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "f87a322c-969b-452c-a201-8d8c70a4b0d0",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "963d3ecb-2e96-4c59-9306-64d8f3f6dca8",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-24T20:55:50.2591198+00:00"
},
"company_sector_id": "34c8df7c-6410-4743-9ed6-91ac1867a9eb",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "cf13a030-8dc4-4c7f-b955-a06467c8b024",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "756ee16e-421a-4bf3-b30b-c0a7435c67fa",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "8ff4e6ea-5a59-4988-9900-dd0a800f3761",
"account_manager_user_code": "sample string 56",
"company_status_id": "c9a397cf-8566-4be9-8dd5-737c8d1d6c94",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-24T20:55:50.2591198+00:00",
"id2": 60
},
"db_language_id": "1328505e-2adf-4a16-8fee-5439209fb5ad",
"db_language_code": "sample string 7",
"db_title_id": "fbe3edff-7814-46f3-9d75-5b35c18cc0d0",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-24T20:55:50.2780476+00:00",
"create_date": "2026-10-24T20:55:50.2780476+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-24T20:55:50.2780476+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.